Displays a list of items in a combo-style list box dialog.
Rhino.ComboListBox (arrItems [, strMessage [, strTitle [, strDefault [, arrPos ]]]])
arrItems |
Required. Array. A zero-based, one-dimensional array of string items. |
strMessage |
Optional. String. A prompt or message. |
strTitle |
Optional. String. A dialog box title. |
strDefault |
Optional. String. The selected item in the list. |
arrPos |
Optional. Array. A 2-D screen point that identifies the upper left corner of the dialog's initial position. |
String |
The selected item if successful. |
Null |
If not successful, or on error. |
Dim arrLayers, strLayer
arrLayers = Rhino.LayerNames
If IsArray(arrLayers) Then
strLayer = Rhino.ComboListBox(arrLayers, "Select current layer")
If Not IsNull(strLayer) Then
Rhino.AddLayer(strLayer)
Rhino.CurrentLayer(strLayer)
End If
End If